### Enumeration

# Gio DataStreamByteOrder

since: 2.0

#### Declaration

    enum Gio.DataStreamByteOrder

#### Description

`GDataStreamByteOrder` is used to ensure proper endianness of streaming data sources across various machine architectures.

Available since: 2.0

#### Members

`G_DATA_STREAM_BYTE_ORDER_BIG_ENDIAN`

  Selects Big Endian byte order.

  - Value: `0`
  - Nickname: `big-endian`
  - Available since: 2.0
`G_DATA_STREAM_BYTE_ORDER_LITTLE_ENDIAN`

  Selects Little Endian byte order.

  - Value: `1`
  - Nickname: `little-endian`
  - Available since: 2.0
`G_DATA_STREAM_BYTE_ORDER_HOST_ENDIAN`

  Selects endianness based on host machine’s architecture.

  - Value: `2`
  - Nickname: `host-endian`
  - Available since: 2.0